CREATE TABLE IF NOT EXISTS `my_ads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) DEFAULT NULL,
  `page` varchar(100) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `type` varchar(100) DEFAULT NULL,
  `location` varchar(50) DEFAULT NULL,
  `insertdate` varchar(100) DEFAULT NULL,
  `expire` varchar(100) DEFAULT NULL,
  `adsclose` int(2) NOT NULL DEFAULT '1',
  `imgpath` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `my_badwords` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `word` varchar(100) DEFAULT NULL,
  `filter` varchar(150) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `my_blacklist` (
  `blacklist_id` int(8) NOT NULL AUTO_INCREMENT,
  `blacklist_ip` varchar(255) NOT NULL,
  `blacklist_userid` int(8) NOT NULL,
  `blacklist_time` int(30) NOT NULL,
  `namename` varchar(100) DEFAULT NULL,
  `bannedtime` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`blacklist_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `my_codes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `page` varchar(50) NOT NULL,
  `location` varchar(50) NOT NULL,
  `code` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `my_config` (
  `config_id` int(11) NOT NULL AUTO_INCREMENT,
  `config_reloadsequenz` int(11) NOT NULL,
  `config_messages_im_chat` int(11) NOT NULL,
  `config_style` varchar(100) NOT NULL,
  `config_loeschen_nach` int(11) NOT NULL,
  `maxonline` int(11) DEFAULT NULL,
  `expir_date` varchar(50) DEFAULT NULL,
  `chatroom_title` varchar(255) DEFAULT NULL,
  `chatroom_des` varchar(255) DEFAULT NULL,
  `chatroom_keywords` varchar(255) DEFAULT NULL,
  `chatroom_address` varchar(255) DEFAULT NULL,
  `usrsallowpm` varchar(255) NOT NULL DEFAULT '8,',
  `reg_users` int(2) NOT NULL DEFAULT '1',
  `header` int(2) NOT NULL DEFAULT '0',
  `guest_call` int(2) NOT NULL DEFAULT '0',
  `toptxt` varchar(255) DEFAULT NULL,
  `footertxt` varchar(255) DEFAULT NULL,
  `listcolor` int(2) NOT NULL DEFAULT '1',
  `msgcount` int(10) NOT NULL DEFAULT '50',
  `time` int(2) NOT NULL DEFAULT '0',
  `profilelink` int(2) NOT NULL DEFAULT '1',
  `linkdooni` int(2) NOT NULL DEFAULT '1',
  `player` int(2) NOT NULL DEFAULT '0',
  `guestlogin` int(2) NOT NULL DEFAULT '1',
  `sms_uname` varchar(50) NOT NULL,
  `sms_pw` varchar(100) NOT NULL,
  `sms_tell` varchar(50) NOT NULL,
  `sms_url` varchar(50) NOT NULL,
  PRIMARY KEY (`config_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;


INSERT INTO `my_config` (`config_id`, `config_reloadsequenz`, `config_messages_im_chat`, `config_style`, `config_loeschen_nach`, `maxonline`, `expir_date`, `chatroom_title`, `chatroom_des`, `chatroom_keywords`, `chatroom_address`, `usrsallowpm`, `reg_users`, `header`, `guest_call`, `toptxt`, `footertxt`, `listcolor`, `msgcount`, `time`, `profilelink`, `linkdooni`, `player`, `guestlogin`) VALUES
(1, 4000, 50, 'theme1', 1, 100, '2014-04-30', 'chat demo', 'demo', 'chatroom Script by RoztarH', 'chatroom Script by RoztarH', '8,', 1, 0, 0, 'demo rozchat', 'demo rozchat', 1, 50, 0, 1, 1, 0, 1);


CREATE TABLE IF NOT EXISTS `my_inbox` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(150) NOT NULL,
  `subject` varchar(150) NOT NULL,
  `email` varchar(100) NOT NULL,
  `matn` text NOT NULL,
  `ip` varchar(100) NOT NULL,
  `sent_time` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



CREATE TABLE IF NOT EXISTS `my_links` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subject` varchar(100) DEFAULT NULL,
  `url` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

INSERT INTO `my_links` (`id`, `subject`, `url`) VALUES
(6, 'Roztarh !', 'http://roztarh.com');



CREATE TABLE IF NOT EXISTS `my_messages` (
  `msg_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `msg_user_fid` int(8) NOT NULL,
  `msg_text` text NOT NULL,
  `msg_text_css` text NOT NULL,
  `msg_timestamp` bigint(20) NOT NULL,
  `msg_fid_room` int(11) NOT NULL DEFAULT '1',
  `msg_privat` int(8) DEFAULT '0',
  `msg_user_ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`msg_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



CREATE TABLE IF NOT EXISTS `my_rooms` (
  `id_room` int(3) unsigned NOT NULL AUTO_INCREMENT,
  `roomname` varchar(100) NOT NULL,
  `room_goup` int(6) NOT NULL DEFAULT '0',
  `room_pw` varchar(50) DEFAULT NULL,
  `room_message` text,
  PRIMARY KEY (`id_room`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=26 ;



INSERT INTO `my_rooms` (`id_room`, `roomname`, `room_goup`, `room_pw`, `room_message`) VALUES
(1, 'public', 0, '', 'wellcome :)'),
(22, 'private room', 3, '1', 'wellcome'),
(23, 'admins', 1, '', 'wellcome');


CREATE TABLE IF NOT EXISTS `my_smileys` (
  `smileys_id` int(5) NOT NULL AUTO_INCREMENT,
  `smileys_sign` varchar(20) NOT NULL,
  `smileys_img` varchar(100) NOT NULL,
  PRIMARY KEY (`smileys_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `my_smileys` (`smileys_id`, `smileys_sign`, `smileys_img`) VALUES (1, '(i1)', 'theme/smilies/(i1).gif');

CREATE TABLE IF NOT EXISTS `my_user` (
  `user_id` int(8) NOT NULL AUTO_INCREMENT,
  `username` varchar(200) NOT NULL,
  `userpw` varchar(40) DEFAULT NULL,
  `userprivilegien` varchar(15) NOT NULL DEFAULT '0',
  `usersex` varchar(1) NOT NULL DEFAULT 'n',
  `reg_timestamp` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reg_ip` varchar(20) DEFAULT NULL,
  `banned` int(2) DEFAULT NULL,
  `last_login` varchar(50) DEFAULT NULL,
  `avatar` varchar(255) NOT NULL DEFAULT 'default-avatar.jpg',
  `emtiyaz` int(255) DEFAULT '0',
  `permissions` varchar(255) DEFAULT 'all',
  `loginpnl` int(3) NOT NULL DEFAULT '0',
  `name` varchar(17) DEFAULT NULL,
  `family` varchar(25) DEFAULT NULL,
  `tell` varchar(15) NOT NULL,
  `email` varchar(35) DEFAULT NULL,
  `state` varchar(50) NOT NULL,
  `city` varchar(50) NOT NULL,
  `active` int(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



INSERT INTO `my_user` (`user_id`, `username`, `userpw`, `userprivilegien`, `usersex`, `reg_timestamp`, `reg_ip`, `banned`, `last_login`, `avatar`, `emtiyaz`, `permissions`, `loginpnl`, `name`, `family`, `tell`, `email`, `state`, `city`, `active`) VALUES
(-1, 'System', '5000300cbc5c9aa6c417cfb4d2e51b04', '0', 'n', '0000-00-00 00:00:00', NULL, NULL, NULL, 'default-avatar.jpg', 0, 'all', 0, NULL, NULL, '0', NULL, '', '', 0);


CREATE TABLE IF NOT EXISTS `my_useronline` (
  `onlineid` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `onlineuser_fid` int(8) NOT NULL,
  `onlinetimestamp` bigint(20) NOT NULL,
  `onlineip` varchar(255) NOT NULL,
  `fid_room` int(11) NOT NULL DEFAULT '1',
  `user_online_room_goup` int(6) NOT NULL,
  `user_online_room_name` varchar(100) NOT NULL,
  `user_online_user_name` varchar(200) NOT NULL,
  `user_online_user_priv` varchar(20) NOT NULL,
  `user_online_user_sex` varchar(1) NOT NULL,
  `user_online_user_status_img` varchar(50) NOT NULL,
  `user_online_user_status_text` varchar(50) DEFAULT NULL,
  `clear` int(2) DEFAULT NULL,
  `alert` varchar(100) DEFAULT NULL,
  `refresh` int(2) DEFAULT NULL,
  `silent` int(2) DEFAULT NULL,
  `avatar` varchar(100) DEFAULT 'default-avatar.jpg',
  PRIMARY KEY (`onlineid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `my_visitors` (
  `username` varchar(50) NOT NULL,
  `ip` varchar(50) NOT NULL,
  `date` varchar(50) NOT NULL,
  `browser` varchar(255) NOT NULL,
  `page` varchar(255) NOT NULL,
  `time` varchar(50) NOT NULL,
  KEY `ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;